[Numpy-discussion] Removiing 1.10.0 and 1.10.1 from sourceforge and pypi

Matthew Brett matthew.brett at gmail.com
Fri Nov 13 13:21:51 EST 2015


Hi,

On Fri, Nov 13, 2015 at 10:06 AM, Charles R Harris
<charlesr.harris at gmail.com> wrote:
> Hi All,
>
> I think 1.10.0 and 1.10.1 are sufficiently buggy that they should be removed
> from circulation as soon as 1.10.2 comes out. The inner product bug for non
> contiguous arrays is particularly egregious. It is not customary to remove
> outdated Numpy releases from sourceforge and pypi, but I'd like to make an
> exception for those two.

First pass, that doesn't seem like a good idea to me.   No-one will
get these releases unless they ask for them specifically, once 1.10.2
is out.  Imagine for example that someone does have one of these
versions already and is making a bug report, we might want to test
against those versions to replicate the bug.

Cheers,

Matthew



More information about the NumPy-Discussion mailing list